#include <bits/stdc++.h>

using namespace std;

int druzeljubivost[100000];
int brPrijatelja[100000];

int main()
{
    int n, m, x, maksSreca = 0;
    cin>>n>>m;

    for(int i = 0; i < n; i++) cin>>druzeljubivost[i];
    for(int j = 0; j < m*2; j++)
    {
        cin>>x;
        brPrijatelja[x-1]++;
    }
    for(int l = 0; l < n; l++) maksSreca += druzeljubivost[l]*brPrijatelja[l];

    cout<<maksSreca;

    return 0;
}